#include <iostream>
using namespace std;
int main(){
int n,k;
cin>>n>>k;
int a[n+1];
for(int i=1;i<=n;i++){
    cin>>a[i];
}
a[n+1]=a[1];
for(int i=1;i<n+1;i++){
    if(a[i]==k){
        cout<<a[i+1];
    }
}
}